%define anolis_release 2
Name: grubby
Version: 8.40
Release: %{anolis_release}%{?dist}
Summary: Command line tool for updating bootloader configs
Group: System Environment/Base
License: GPLv2+
URL: https://github.com/rhboot/grubby
Source0: https://github.com/rhboot/grubby/archive/refs/tags/%{name}-%{version}-1.tar.gz
Patch0001: 0001-Fix-GCC-warnings-about-possible-string-truncations-a.patch
Patch0002: 0002-Fix-stringop-overflow-warning.patch
Patch0003: 0003-Fix-maybe-uninitialized-warning.patch

Patch1000: 1000-grubby-support-anolis.patch 

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: pkgconfig glib2-devel popt-devel 
BuildRequires: libblkid-devel git
# for make test / getopt:
BuildRequires: util-linux-ng
BuildRequires: /usr/bin/grub2-editenv

%description
grubby  is  a command line tool for updating and displaying information about 
the configuration files for the grub, lilo, elilo (ia64),  yaboot (powerpc)  
and zipl (s390) boot loaders. It is primarily designed to be used from scripts
which install new kernels and need to find information about the current boot 
environment.

%prep
%setup -q -n %{name}-%{version}-1

git init
git config user.email "noone@example.com"
git config user.name "no one"
git add .
git commit -a -q -m "%{version} baseline"
git am %{patches} </dev/null
git config --unset user.email
git config --unset user.name

%build
make %{?_smp_mflags}

%ifnarch aarch64
%check
make test
%endif

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{!?_licensedir:%global license %%doc}
%license COPYING
/sbin/installkernel
/sbin/new-kernel-pkg
/sbin/grubby
%{_mandir}/man8/*.8*

%changelog
* Mon Mar 28 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 8.40-2
- grubby support anolis

* Wed Mar  9 2022 Liwei Ge <liwei.glw@linux.alibaba.com> - 8.40-1
- Init version from upstream v8.40
